/*:ja
*@plugindesc 主人公たちのサイズを変更させる
*@author うるふ
*
*
*
*@help
*
*プラグインコマンド
*C_P_Scale [scaleの倍率]
*
*
*/



(function() {

	//=====================================
	//変数定義
	//====================================

	var scale = 1.0;
	var isChange = false;

	
	
	//var Parameters = PluginManager.parameters('Destroyer_System');
	
	//攻撃成功時にtrueを入れるスイッチの番号
	//var success_value = Number(Parameters['Success Value']);
	//テンションゲージ格納変数番号
	//var hyper_value = Number(Parameters['Hyper Value']);
	//イベントＩＤ格納変数
	//var iventId_value = 23;	
	
	
	

	//================================
	//プラグインコマンド
	//================================


	var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;

	Game_Interpreter.prototype.pluginCommand = function(command,args)
	{
		_Game_Interpreter_pluginCommand.call(this,command,args);

		if(command === 'C_P_Scale'){

			/*switch (args[0])
			{
			case 'next':
				scale = Number(args[1]);
				
				break;	
			case 'now':
				scale = Number(args[1]);
				break;
						
			}*/
			
			scale = Number(args[0]);
			
			
		}
		if(command === 'C_E_Scale'){

			/*switch (args[0])
			{
			case 'next':
				scale = Number(args[1]);
				
				break;	
			case 'now':
				scale = Number(args[1]);
				break;
						
			}*/
			
			var eventId = Number(args[0]);
			//var scale = Number(args[1]);//バグが出るので消しておきます

			var events = $gameMap.event(eventId);
			events._size[0] = 96;
			//console.log(events); 
			

			
		}

	};

	//=============================-
	//Sprite_Characterを再定義
	//=============================-
	
	/*
	//サイズ変更するフラグの定義
	Sprite_Character.prototype.changeFlag = function(){
	
		this._changeFlag = false;
	
	};
	
	Sprite_Character.prototype.changeFlagUp = function(){
	
		this._changeFlag = isChange;
	
	};*/
	
	var _Sprite_Character_initialize = Sprite_Character.prototype.initialize;
	Sprite_Character.prototype.initialize = function() {
		_Sprite_Character_initialize.apply(this,arguments);
		
		//主人公キャラのサイズを変更
		//シーンの読み込みごとに初期化されているので、現在では、小さくしたいシーンの前にサイズを設定すれば多分変更される
		if(this._character.constructor.name === "Game_Player" || 
		   this._character.constructor.name === "Game_Follower"){
			
				this.scale = new Point(scale,scale);
		}
	};
	
	//動的に変更（現在常にサイズの代入を行っている重いようなら改善案を考えないと）
	var _Sprite_Character_updateOther = Sprite_Character.prototype.updateOther;
	Sprite_Character.prototype.updateOther = function() {
	
    	_Sprite_Character_updateOther.call(this);

    	
    	//if(this._changeFlag){
    	
    		//主人公キャラのサイズを変更
			//シーンの読み込みごとに初期化されているので、現在では、小さくしたいシーンの前にサイズを設定すれば多分変更される
			if(this._character.constructor.name === "Game_Player" || 
			   this._character.constructor.name === "Game_Follower"){
			
				this.scale = new Point(scale,scale);
			}
			this._changeFlag = false;
    	
    	//}
	};

	//スクリプトからスケールを変える
	Game_System.prototype.wolfSetScale = function(num){
		scale = num;
	}

	//スケールを取得
	Game_System.prototype.wolfGetScale = function(){
		return scale;
	}



})();
