﻿//----------------------------------------------------------------
// Varsion
// 1.0.0 デフォルトでBGMボリュームを変更する
//----------------------------------------------------------------


/*:ja
*@plugindesc デフォルトでBGMボリュームを変更する
*@author うるふ
*
*@param Volume
*@desc 設定ボリューム
*@default 40
*
*@help
*
*デフォルトでBGMボリュームを変更する
*
*
*
*/



(function() {

	//==================================
	// プラグインパラメータ取得
	//==================================

	//パラメータ取得するときに使用
	var Parameters = PluginManager.parameters('Wolf_DefaultVolume');
	var volume = Number(Parameters["Volume"]);
  
	//==================================
	// コンフィグマネージャーを追加定義
	// 新しく作成したコンフィグマネージャーでは、ボリュームを設定値に変える
	//==================================
	var _ConfigManager_applyData = ConfigManager.applyData;
	ConfigManager.applyData = function(config) {
		_ConfigManager_applyData.apply(this,arguments);
		this.bgmVolume = (config.bgmVolume === undefined) ? volume : this.readVolume(config,'bgmVolume');

	};



})();
