﻿//----------------------------------------------------------------
// Varsion
// 0.0.0 xxxx_xx_xx 内容
//----------------------------------------------------------------
/*:ja
*@plugindesc フィードイン
*@author うるふ
*
*@param Unknown Date
*@desc プロトタイプ
*default 不明
*
*@help
*
*フィードイン
*
*演出用のプラグインです
*
*
*/



(function() {

	//==================================
	//オブジェクト生成
	//==================================

	function WolfEffect_FI(){
		this.initialize.call(this);

	}


	//ゲームベースを継承
	WolfEffect_FI.prototype = Object.create(WolfGame_Base.prototype);
	WolfEffect_FI.prototype.constructor = WolfEffect_FI;


	//==================================
	//変数
	//==================================



	//==================================
	// プラグインパラメータ取得
	//==================================

	//パラメータ取得するときに使用
	var Parameters = PluginManager.parameters('Wolf_MiniGame');

	//=======================================
	// WolfEffect_FI メソッド
	//=======================================

	//=============================-
	// ゲーム基本メソッド
	//=============================-

	WolfEffect_FI.prototype.initialize = function(){
		WolfGame_Base.prototype.initialize.call(this);

		this._x;
		this._y;
		this._picId;
		this._picName;
		this._opp;
		this._add;//加算値
		this._out;//フィードアウトか判定
		
	}

	WolfEffect_FI.prototype.risetAll = function(){
	
	}

	WolfEffect_FI.prototype.set = function(){
		WolfGame_Base.prototype.set.call(this);
		this.risetAll();
	//	this.draw();
		this.setFeed.apply(this,arguments);

	};

	WolfEffect_FI.prototype.setFeed = function(id,name,x,y,time,out){
		this._x = x;
		this._y = y;
		this._picName = name;
		this._picId = id;
		this._add = 255 / time;
		this._opp = 0;

		this._out = out;
		if(out == true) { this._add *= -1; this._opp = 255}
	}


	WolfEffect_FI.prototype.main = function(){
		WolfGame_Base.prototype.main.call(this);
		this.update();
		this.draw();

	};

	WolfEffect_FI.prototype.end = function(){
//		WolfGame_Base.prototype.end.call(this);
//		this.erasePictures();
		this.permissionFast();
		this.downEndSwitche();
		$gameSwitches.setValue(this._banMenuSwitch,false);

	}


	//=============================-
	// ゲーム更新関係
	//=============================-

	WolfEffect_FI.prototype.update = function(){
		this.updateOpp();	
		this.end();
	}

	//透明度加算
	WolfEffect_FI.prototype.updateOpp = function(){
		this._opp += this._add;
	}

	WolfEffect_FI.prototype.end = function(){
		//フィードアウトなら0で終了
		if(this._out){
			if(this._opp <= 0){
			WolfGame_Base.prototype.onEndSwitche.call(this);
			}
		}else{
			if(this._opp >= 255){
			WolfGame_Base.prototype.onEndSwitche.call(this);
			}
			
		}
	}

	//=============================-
	// ゲーム描画関係
	//=============================-

	WolfEffect_FI.prototype.draw = function(){
		//WolfGame_Base.prototype.draw.call(this);
		this.drawPicture();
	}

	WolfEffect_FI.prototype.drawPicture = function(){
		$gameScreen.showPicture(this._picId,this._picName,1,this._x,this._y,100.0,100.0,this._opp,0);
	}


	//=============================-
	// ゲーム終了関係
	//=============================-
	
	//=========================================
	//オブジェクト生成
	//=========================================
	var _WolfEffect_FI = new WolfEffect_FI();


	//=========================================
	// プラグインコマンドで制御
	//=========================================

	var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;
	Game_Interpreter.prototype.pluginCommand = function(command,args)
	{
		_Game_Interpreter_pluginCommand.call(this,command,args);

		if(command === 'Wolf_EffectFI'){

			switch (args[0])
			{
			case 'set':
				var id = Number(args[1]);
				var name = String(args[2]);
				var x = Number(args[3]);
				var y = Number(args[4]);
				var time = Number(args[5]);
				var out = (args[6] === "true") ? true : false;//引数が文字としてtrue ならtrueに変換し、引数に代入
				_WolfEffect_FI.set(id,name,x,y,time,out);
				
				break;			

			case 'main':
				_WolfEffect_FI.main();
				break;
			case 'end':
				_WolfEffect_FI.end();
				break;			
	
			}
		}

	};
		




})();
