﻿//----------------------------------------------------------------
// Varsion
// 1.0.0 2017_02_25
// 1.0.1 2017_03_16 変数からイベント番号を参照できるようにした
//----------------------------------------------------------------


/*:ja
*@plugindesc 同一マップ内のセルフスイッチを簡単にセットできるプラグイン
*@author うるふ
*
*
*@help
*SS [on or off] [eventId] [Switche]
*
*
*
*/



(function() {

	//==================================
	// プラグインコマンド
	//==================================

	var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;

	Game_Interpreter.prototype.pluginCommand = function(command,args)
	{
		_Game_Interpreter_pluginCommand.call(this,command,args);

		if(command === 'SS'){

			var val = (String(args[0]) ==='on') ? true : false;
			$gameSelfSwitches.setValueSimple(Number(args[1]),String(args[2]),val);

		}
		if(command == 'SSV'){

			var val = (String(args[0]) ==='on') ? true : false;
			var event = $gameVariables.value(Number(args[1]));//イベントを引数の変数から参照
			$gameSelfSwitches.setValueSimple(event,String(args[2]),val);

		}

	};
		
	//==================================
	// Game_SelfSwitches
	//==================================

	Game_SelfSwitches.prototype.setValueSimple = function(event,swi,value){
		var mapId = $gameMap.mapId();
		var key = [mapId,event,swi];
		this.setValue(key,value);
	}


})();
